# PSystemLogToStderr Class Reference

Log system output to stderr. More...

`#include <syslog.h>`

Inheritance diagram for PSystemLogToStderr:

List of all members.

## Public Member Functions

Overrides of PSystemLogTarget
virtual void | Output (PSystemLog::Level level, const char *msg)
| Log an error into the system log.

## Detailed Description

Log system output to stderr.

## Member Function Documentation

virtual void PSystemLogToStderr::Output | ( | PSystemLog::Level | level,
|  | const char * | msg |
| ) |  |  | `[virtual]`

Log an error into the system log.

Parameters:

  level | Level of this message
  msg | Message to be logged

Implements PSystemLogTarget.

The documentation for this class was generated from the following file:

- syslog.h